# "Do not Blink !" by ᴏʀɪᴏɴ™
<b>This mod aims to <i>somewhat</i> mimic the blink mechanic of SCP: Containment Breach.</b> It is obviously not 100% accurate.

## INFORMATION
So, all this mod does is simulate the act of blinking. Mind you, it doesn't serve much purpose, unless you are near a Coil-Head that is...

Basically, you will randomly, and periodically blink for a really short amount of time.<br>
Both the interval and duration of a blink are randomly chosen between two values (min & max).<br>
They also scale based on your insanity level kindly provided by the game.<br>
The more insane you are, the more you will blink. Beware the Coil-Head and Bracken.

The interval at which you blink is directly displayed right under your sprint meter as a horizontal progress meter enterily made of [, ▓, ░ and ].
![BlinkMeter](https://s13.gifyu.com/images/Sj6NG.gif)

The meter continuously drains down until you blink, and refills right after. Remember, each blink interval is different, so the meter will either drain really rapidly or really slowly.<br>
If you need to refill your blink-meter, press **C** on your keyboard to manually blink. This will restart a new blink cycle.<br>
Last bit of info, you can keep your eyes closed (surely a Bracken won't kill you...), and while you do, your next blinks will be delayed by up to an additional 5 seconds. This buffer rapidly decreases down to 0 (default) until you do again.

## CONFIGURATION
All calm/insane blink's interval and duration as well as the manual blink keybind are editable in the .cfg inside ```.\Lethal Company\BepInEx\config```  created by BepInEx. The file should be named ```Orion.DontBlink.cfg```.<br>
The manual blink's bonus duration isn't as it is more of a bonus, than something really needed.

## PLANS
If I had to update the mod, I would like to make the player blink when he hears sudden and loud noises or reacts to event, such as thunder, coil-head's sudden stop, seeing a player dying or a lurking Bracken, etc.

## RAMBLING / DISCLAIMER
Why ? I wanted a blink mechanic to see how it would fit in game, so I first looked into the store, but all I could find was [Blink](https://thunderstore.io/c/lethal-company/p/Shadowoof/Blink/]) by [Shadowoof](https://thunderstore.io/c/lethal-company/p/Shadowoof/), which seem not to work(?), as least not for me.<br>
So, I made this on a whim. I'm pretty much a newborn baby to Unity's modding (I do have some prog knowledge, but that's about it) so don't expect too much. But I hope it will be enough for you.

I also have no idea if this is purely client-side or if everyone in the lobby needs it. I would guess client-side, but do not count me on that, I will need to test it in multiplayer to see how everything goes. As of now, everything works perfectly on my side.

## CREDITS
• [Zeekerss](https://twitter.com/ZeekerssRBLX), creator of Lethal Company.<br>
• [BepInEx's team](https://github.com/BepInEx/BepInEx), creator of BepInEx, making Unity's modding possible.<br>
• [MrMiinxx](https://www.youtube.com/@mrmiinxx1877), who made [this video tutorial](https://www.youtube.com/watch?v=4Q7Zp5K2ywI), which I used to make the barebones of the mod.<br>
• [matsuura](...), who made [HealthMetrics](https://thunderstore.io/c/lethal-company/p/matsuura/HealthMetrics/), which I used part of his HUDManagerPatch to create the HUD part.<br>
• And last, but not least, Coil-Head, such a cool dude.

## DISCORD
[Unofficial Lethal Company Community](https://discord.gg/nYcQFEpXfU)

<sub><i>Excuse my poor english.</i></sub>